Bug 257941 - Review Request: hedgewars - 2D tankbattle game with the tanks replaced by hedgehogs
Review Request: hedgewars - 2D tankbattle game with the tanks replaced by hed...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
: 491521 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 16:18 EDT by Hans de Goede
Modified: 2010-05-27 05:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 07:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gauret: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-08-27 16:18:30 EDT
Spec URL: http://people.atrpms.net/~hdegoede/hedgewars.spec
SRPM URL: http://people.atrpms.net/~hdegoede/hedgewars-0.9.0-1.fc8.src.rpm
Description:
Hedgewars is a turn based strategy game but the real buzz is from watching the
devastation caused by those pesky hedgehogs with those fantastic weapons.

Each player controls a team of several hedgehogs. During the course of the
game, players take turns with one of their hedgehogs. They then use whatever
tools and weapons are available to attack and kill the opponents' hedgehogs,
thereby winning the game. Hedgehogs may move around the terrain in a variety  
of ways, normally by walking and jumping but also by using particular tools
such as the "Rope" or "Parachute", to move to otherwise inaccessible areas.
Comment 1 Aurelien Bompard 2007-09-09 07:37:28 EDT
Review for release 1:
* RPM name is OK
* Source hedgewars-src-0.9.0.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK

* File list of hedgewars looks strange : data files are in
"/usr/share/hedgewars/hedgewars", isn't that one "hedgewars" too many ?
* The Icon tag in the desktop file should either use the full path or not
include the file's extension
(http://fedoraproject.org/wiki/Packaging/Guidelines#desktop)

Please see to that, otherwise the package looks fine (the game is very similar
to wormux though...)
Comment 2 Hans de Goede 2007-09-09 11:44:02 EDT
(In reply to comment #1)
> * File list of hedgewars looks strange : data files are in
> "/usr/share/hedgewars/hedgewars", isn't that one "hedgewars" too many ?
> * The Icon tag in the desktop file should either use the full path or not
> include the file's extension
> (http://fedoraproject.org/wiki/Packaging/Guidelines#desktop)

Both fixed now:

Spec URL: http://people.atrpms.net/~hdegoede/hedgewars.spec
SRPM URL: http://people.atrpms.net/~hdegoede/hedgewars-0.9.0-2.fc8.src.rpm
Comment 3 Aurelien Bompard 2007-09-09 16:16:47 EDT
Review for release 2.fc7:
* RPM name is OK
* Source hedgewars-src-0.9.0.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Plays fine

APPROVED
Comment 4 Hans de Goede 2007-09-09 17:08:50 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      hedgewars
Short Description: 2D tankbattle game with the tanks replaced by hedgehogs
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes


Comment 5 Kevin Fenzi 2007-09-09 18:43:01 EDT
cvs done. 
Comment 6 Hans de Goede 2007-09-10 07:20:26 EDT
Imported and build, closing.
Comment 7 Hans de Goede 2007-10-18 16:09:42 EDT
Package Change Request
======================
Package Name: hedgewars
New Branches: F-8

Thanks!

Comment 8 Kevin Fenzi 2007-10-21 12:22:54 EDT
All packages have now been branched for F-8, so this request should be done. 
Feel free to reset fedora-cvs flag if you need anything futher. 
Comment 9 Mamoru TASAKA 2009-04-26 12:10:56 EDT
*** Bug 491521 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.